module Alucard
  attr_reader :cards

  class Deck
    def initialize
      @cards = 52.times.map { |i| Card.new i }
    end

    def shuffle
      @cards.shuffle!
    end

    def deal n
      raise "Can't deal #{n} cards!" if @cards.size < n
      @cards.pop n
    end
  end
end
